Mail archive
alpine-aports

[alpine-aports] [PATCH 4/6] testing/libqmi: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Thu, 23 Apr 2015 17:13:35 +0000

Required by modemmanager

libqmi is a library for talking to WWAN modems and devices which speak the
Qualcomm MSM Interface (QMI) protocol.
http://www.freedesktop.org/wiki/Software/libqmi/
---
 testing/libqmi/APKBUILD | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)
 create mode 100644 testing/libqmi/APKBUILD
diff --git a/testing/libqmi/APKBUILD b/testing/libqmi/APKBUILD
new file mode 100644
index 0000000..b002f90
--- /dev/null
+++ b/testing/libqmi/APKBUILD
_at_@ -0,0 +1,48 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=libqmi
+pkgver=1.12.6
+pkgrel=0
+pkgdesc="QMI modem protocol helper library"
+url="http://www.freedesktop.org/wiki/Software/libqmi"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev gtk-doc python"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.freedesktop.org/software/$pkgname/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--localstatedir=/var \
+		--disable-static \
+		--enable-more-warnings=yes \
+	|| return 1
+	make || return 1
+	make check || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="24c9eb300662ba6cff0152de89bd9ec0  libqmi-1.12.6.tar.xz"
+sha256sums="0857bffece4e8ddfa7f721dd9ca63b4c78de345ac9ae2faebf04062cacba3780  libqmi-1.12.6.tar.xz"
+sha512sums="7001f61dbe2be431867a504dbfc634ed5e7c3f3b1740aef7833fb8163d1a6bdffb57793f09062f49c0b8eeff5a011a2a057a938d618f3547ff5942021b3e8a9d  libqmi-1.12.6.tar.xz"
-- 
2.3.5
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Apr 23 2015 - 17:13:35 GMT